diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 8aca08140ea..8736eac2841 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -3016,7 +3016,8 @@ description | Waiting for a newly initialized WAL file to reach durable storage
       </para>
       <para>
        Total amount of time that has been spent in the portion of
-       checkpoint processing where files are written to disk, in milliseconds
+       processing checkpoints and restartpoints where files are written to disk,
+       in milliseconds
       </para></entry>
      </row>
 
@@ -3026,8 +3027,8 @@ description | Waiting for a newly initialized WAL file to reach durable storage
       </para>
       <para>
        Total amount of time that has been spent in the portion of
-       checkpoint processing where files are synchronized to disk, in
-       milliseconds
+       processing checkpoints and restartpoints where files are synchronized to
+       disk, in milliseconds
       </para></entry>
      </row>
 
@@ -3036,7 +3037,7 @@ description | Waiting for a newly initialized WAL file to reach durable storage
        <structfield>buffers_written</structfield> <type>bigint</type>
       </para>
       <para>
-       Number of buffers written during checkpoints
+       Number of buffers written during checkpoints and restartpoints
       </para></entry>
      </row>
 
diff --git a/src/include/catalog/pg_proc.dat b/src/include/catalog/pg_proc.dat
index 291ed876fca..4af5c2e8470 100644
--- a/src/include/catalog/pg_proc.dat
+++ b/src/include/catalog/pg_proc.dat
@@ -5737,7 +5737,7 @@
   proparallel => 'r', prorettype => 'int8', proargtypes => '',
   prosrc => 'pg_stat_get_checkpointer_restartpoints_performed' },
 { oid => '2771',
-  descr => 'statistics: number of buffers written by the checkpointer',
+  descr => 'statistics: number of buffers written during checkpoints and restartpoints',
   proname => 'pg_stat_get_checkpointer_buffers_written', provolatile => 's',
   proparallel => 'r', prorettype => 'int8', proargtypes => '',
   prosrc => 'pg_stat_get_checkpointer_buffers_written' },
@@ -5760,12 +5760,12 @@
   proparallel => 'r', prorettype => 'timestamptz', proargtypes => '',
   prosrc => 'pg_stat_get_bgwriter_stat_reset_time' },
 { oid => '3160',
-  descr => 'statistics: checkpoint time spent writing buffers to disk, in milliseconds',
+  descr => 'statistics: checkpoint/restartpoint time spent writing buffers to disk, in milliseconds',
   proname => 'pg_stat_get_checkpointer_write_time', provolatile => 's',
   proparallel => 'r', prorettype => 'float8', proargtypes => '',
   prosrc => 'pg_stat_get_checkpointer_write_time' },
 { oid => '3161',
-  descr => 'statistics: checkpoint time spent synchronizing buffers to disk, in milliseconds',
+  descr => 'statistics: checkpoint/restartpoint time spent synchronizing buffers to disk, in milliseconds',
   proname => 'pg_stat_get_checkpointer_sync_time', provolatile => 's',
   proparallel => 'r', prorettype => 'float8', proargtypes => '',
   prosrc => 'pg_stat_get_checkpointer_sync_time' },
